Query Proposed Ids Security Policies
Retrieves a paginated list of proposed IDS security policies generated during segmentation analysis.
Notes
- IDS security policies represent proposed NSX IDS security policies that can be published.
- Returns 200 on success
Unique identifier of the segmentation session.
Query parameters for filtering, sorting, and pagination
{
"filter_by_infrastructure": {
"summary": "Query all INFRASTRUCTURE IDS policies",
"value": {
"policy_type": "INFRASTRUCTURE",
"sort_ascending": true,
"page_size": 50,
"offset": 0
}
}
}
Successfully retrieved proposed IDS security policies
{
"offset": 0,
"number_of_results": 2,
"total_result_count": 2,
"total_pages": 1,
"sort_ascending": true,
"sort_by": "sequenceNumber",
"results": [
{
"id": "f94a73ae-d5a0-39f3-b551-252bff2c5419",
"display_name": "SSP_Infra_Custom_IDPS",
"description": "IDPS Policy for custom infrastructure services",
"policy_type": "INFRASTRUCTURE",
"publish_status": "READY_TO_PUBLISH",
"publish_action": "NONE",
"rule_count": 2
},
{
"id": "f15c59a9-00f7-38f9-87b4-b866bb6083f3",
"display_name": "SSP_Infra_IDPS",
"description": "IDPS Policy for all infrastructure services",
"policy_type": "INFRASTRUCTURE",
"publish_status": "READY_TO_PUBLISH",
"publish_action": "NONE",
"rule_count": 20
}
]
}
Bad Request
{
"error_code": 0,
"module_name": "string",
"error_message": "string"
}
HTTP Status or Application error code.
Module where the error happened.
Message describing the error.
Unauthorized
{
"error_code": 0,
"module_name": "string",
"error_message": "string"
}
HTTP Status or Application error code.
Module where the error happened.
Message describing the error.
Forbidden
{
"error_code": 0,
"module_name": "string",
"error_message": "string"
}
HTTP Status or Application error code.
Module where the error happened.
Message describing the error.
Precondition Failed
{
"error_code": 0,
"module_name": "string",
"error_message": "string"
}
HTTP Status or Application error code.
Module where the error happened.
Message describing the error.
Precondition Required
{
"error_code": 0,
"module_name": "string",
"error_message": "string"
}
HTTP Status or Application error code.
Module where the error happened.
Message describing the error.
Too Many Requests
{
"error_code": 0,
"module_name": "string",
"error_message": "string"
}
HTTP Status or Application error code.
Module where the error happened.
Message describing the error.
Unexpected error
{
"error_code": 0,
"module_name": "string",
"error_message": "string"
}
HTTP Status or Application error code.
Module where the error happened.
Message describing the error.
curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{}' https://{api_host}/ssp/segmentation/{session-id}/results/proposed-ids-security-policies